Skip to content

Tasks

All operations require authentication.

12 operationsv1/email/domain
Agent setup

List account tasksProduction

GET
/1.0/email/domain/{domain}/task/account

List account tasks. Returns the IDs of the pending email account tasks of the domain. Filter them by account name.

Path parameters

domain
required
string

Name of your domain name

Query parameters

name
string

Account name

Response

200integer[]successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/account \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an account taskProduction

GET
/1.0/email/domain/{domain}/task/account/{id}

Get an account task. Returns the action, the account name, the domain and the creation date of the email account task.

Path parameters

domain
required
string

Name of your domain name

id
required
integer

Id of task

Response

200TaskPopsuccessful operation
action
read-only
DomainPopActionEnum

Action of task

ValuesaddAccountchangeAccountchangePassworddeleteAccountinternalMigrationmigrationtemporaryTaskunknown
date
read-only
stringdate-time

Creation date of task

domain
read-only
string

Domain name of task

id
read-only
integer

Id of task

name
read-only
string

Account name of task

Example uses domain = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/account/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "addAccount", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "name": "string"}

List tasksProduction

GET
/1.0/email/domain/{domain}/task/all

List tasks. Returns the IDs of the tasks of the domain, whatever their type. Get one to read its function and its status.

Path parameters

domain
required
string

Name of your domain name

Response

200integer[]successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/all \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a taskProduction

GET
/1.0/email/domain/{domain}/task/all/{id}

Get a task. Returns the function, the status and the domain of the task. Tasks of every type are listed under task/all.

Path parameters

domain
required
string

Name of your domain name

id
required
integer

Id of the task

Response

200tasksuccessful operation
domain
read-only
string

Domain name of the task

function
read-only
string

Function of the task

id
read-only
integer

Id of the task

status
read-only
TaskStatusEnum

Status of the task

ValuescancelledcustomerErrordoingdoneinitovhErrortodo

Example uses domain = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/all/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "domain": "string", "function": "string", "id": 0, "status": "cancelled"}

List filter tasksProduction

GET
/1.0/email/domain/{domain}/task/filter

List filter tasks. Returns the IDs of the pending filter tasks of the domain. Filter them by account to see one email account.

Path parameters

domain
required
string

Name of your domain name

Query parameters

account
string

Account name

Response

200integer[]successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/filter \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a filter taskProduction

GET
/1.0/email/domain/{domain}/task/filter/{id}

Get a filter task. Returns the action, the account, the domain and the creation time (timestamp) of the filter task.

Path parameters

domain
required
string

Name of your domain name

id
required
integer

Id of task

Response

200TaskFiltersuccessful operation
account
read-only
string

Account name of task

action
read-only
string

Action of task

domain
read-only
string

Domain name of task

id
read-only
integer

Id of task

timestamp
read-only
stringdate-time

Creation date of task

Example uses domain = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/filter/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "account": "string", "action": "string", "domain": "string", "id": 0, "timestamp": "2024-01-01T12:00:00Z"}

List mailing list tasksProduction

GET
/1.0/email/domain/{domain}/task/mailinglist

List mailing list tasks. Returns the IDs of the pending mailing list tasks of the domain. Filter them by account.

Path parameters

domain
required
string

Name of your domain name

Query parameters

account
string

Account name

Response

200integer[]successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/mailinglist \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a mailing list taskProduction

GET
/1.0/email/domain/{domain}/task/mailinglist/{id}

Get a mailing list task. Returns the action, the account, the domain, the language and the creation date of the mailing list task.

Path parameters

domain
required
string

Name of your domain name

id
required
integer
—

Response

200TaskMlsuccessful operation
account
read-only
string
—
action
read-only
string
—
date
read-only
stringdate-time
—
domain
read-only
string
—
id
read-only
integer
—
language
read-only
DomainMlLanguageEnum

Possible values for mailing list language

Valuesdeenesfritnlplpt

Example uses domain = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/mailinglist/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "account": "string", "action": "string", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "language": "de"}

List redirection tasksAlpha

GET
/1.0/email/domain/{domain}/task/redirection

Returns the IDs of the pending redirection tasks of the domain. Filter them by account.

Path parameters

domain
required
string

Name of your domain name

Query parameters

account
string

Account name

Response

200string[]successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/redirection \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a redirection taskAlpha

GET
/1.0/email/domain/{domain}/task/redirection/{id}

Returns the account, type, action and creation date of the task.

Path parameters

domain
required
string

Name of your domain name

id
required
string

Id

Response

200TaskSpecialAccountsuccessful operation
account
read-only
string

Account name of task

action
read-only
DomainSpecialAccountActionEnum

Action of task

Valuesaddchangedelete
date
read-only
stringdate-time

Creation date of task

domain
read-only
string

Domain name of task

id
read-only
integer

Id of task

type
read-only
DomainSpecialAccountTypeEnum

Type of action filter

Values25galiasdeletefilterforwardresponder

Example uses domain = string, id = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/redirection/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "account": "string", "action": "add", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "type": "25g"}

List responder tasksProduction

GET
/1.0/email/domain/{domain}/task/responder

List responder tasks. Returns the IDs of the pending responder tasks of the domain. Filter them by account.

Path parameters

domain
required
string

Name of your domain name

Query parameters

account
string

Name of responder

Response

200integer[]successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/responder \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a responder or redirection taskProduction

GET
/1.0/email/domain/{domain}/task/responder/{id}

Get a responder or redirection task. Returns the account, type, action and creation date of the task.

Path parameters

domain
required
string

Name of your domain name

id
required
integer

Id of task

Response

200TaskSpecialAccountsuccessful operation
account
read-only
string

Account name of task

action
read-only
DomainSpecialAccountActionEnum

Action of task

Valuesaddchangedelete
date
read-only
stringdate-time

Creation date of task

domain
read-only
string

Domain name of task

id
read-only
integer

Id of task

type
read-only
DomainSpecialAccountTypeEnum

Type of action filter

Values25galiasdeletefilterforwardresponder

Example uses domain = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/responder/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "account": "string", "action": "add", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "type": "25g"}